package com.ynet.life.sujrb.cache.coherence;

import com.tangosol.net.CacheFactory;
import com.tangosol.net.Cluster;
import com.tangosol.net.NamedCache;
import com.ynet.life.sujrb.cache.Cache;
import java.io.IOException;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_cache_coherence.jar:com/ynet/life/sujrb/cache/coherence/CoherenceManager.class */
public class CoherenceManager implements Cache {
    private String cacheName = null;
    private static NamedCache namedCache = null;
    private static final String DEFAULT_COHERENCE_CACHE = "default_coherence_cache";

    public CoherenceManager() {
    }

    public CoherenceManager(String name) {
        if (namedCache == null || name.equals(namedCache.getCacheName())) {
            namedCache = LifeCoherenceService.getNamedCache(name);
        }
    }

    public void put(String key, Map<String, Object> obj) {
        namedCache.put(key, obj);
    }

    public void remove(String key) {
        namedCache.remove(key);
    }

    public Map<String, Object> get(String key) {
        return (Map) namedCache.get(key);
    }

    public String getCacheName() {
        return namedCache.getCacheName();
    }

    public NamedCache getCache(String name) {
        return CacheFactory.getCache(name);
    }

    public boolean isConnServer() {
        boolean success;
        if (CacheFactory.ensureCluster() instanceof Cluster) {
            success = true;
        } else {
            success = false;
        }
        return success;
    }

    public void clear() {
    }

    public Map getData() {
        return null;
    }

    public void init(int maxSize) throws IOException {
    }
}
